Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.antlr
[Java] Class EnumHelper

    java.lang.Object
      org.codehaus.groovy.antlr.EnumHelper

    public class EnumHelper
    extends java.lang.Object

Method Summary
`static void` | `addEnumConstant(ClassNode enumClass, java.lang.String name, Expression init)`
`static ClassNode` | `makeEnumNode(java.lang.String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### addEnumConstant

    public static void addEnumConstant(ClassNode enumClass, java.lang.String name, Expression init)

### makeEnumNode

    public static ClassNode makeEnumNode(java.lang.String name, int modifiers, ClassNode[] interfaces, ClassNode outerClass)

Groovy Documentation